/**
 * Copyright (c) 2007-2012 EBMWebsourcing, 2012-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.component.framework.api;

import org.ow2.easywsdl.wsdl.api.abstractItf.AbsItfOperation.MEPPatternConstants;


/**
 * Message constants.
 * @author Roland Naudin - EBM WebSourcing
 */
public  class Message {
    
    /**
     * The prefix of the properties to propagate during a fork of exchange
     */
    public static final String PROPAGATION_PREFIX = "org.ow2.petals.propagate";

    /**
     * The key of the process path property into a JBI Exchange
     */
    public static final String PROCESS_PATH_KEY = PROPAGATION_PREFIX + ".process";

    /**
     * The interceptor constants
     * 
     * @author Frederic Gardes - EBM WebSourcing
     * @author Christophe HAMERLING - EBM WebSourcing
     */
    public enum InterceptorPhase {
        SEND, SEND_RESPONSE, ACCEPT, ACCEPT_RESPONSE;
    }

    /**
     * Constants for the JBI Message Exchange Patterns.
     */
    public interface MEPConstants {
        public static final MEPPatternConstants IN_ONLY_PATTERN = MEPPatternConstants.IN_ONLY;

        public static final MEPPatternConstants IN_OUT_PATTERN = MEPPatternConstants.IN_OUT;

        public static final MEPPatternConstants IN_OPTIONAL_OUT_PATTERN = MEPPatternConstants.IN_OPTIONAL_OUT;

        public static final MEPPatternConstants ROBUST_IN_ONLY_PATTERN = MEPPatternConstants.ROBUST_IN_ONLY;
    }
}
